ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Levy Lambert <anto...@gmx.de>
Subject Re: [Bug 54843] java.io.InvalidClassException: org.apache.tools.ant.Location
Date Sun, 28 Apr 2013 21:03:33 GMT
Hi,

The bug report 54843 complains about the introduction of a serialVersionUID in Location.java
between Ant 1.8.4 and Ant 1.9.0
as it prevents the user from loading using Ant 1.9.0 serialized files created with Ant 1.8.4

It looks like this change has introduced a form of incompatibility between 1.8.4 and 1.9.0
but now I would be tempted to say that it would be a problem to revert the introduction of
these serialVersionUID fields.

I am tempted to close the bug report as WONTFIX.

Thoughts ?

Antoine

On Apr 28, 2013, at 4:52 PM, bugzilla@apache.org wrote:

> https://issues.apache.org/bugzilla/show_bug.cgi?id=54843
> 
> --- Comment #1 from Antoine Levy-Lambert <antoine@apache.org> ---
> The private static final long  serialVersionUID = 1L was added between Ant
> 1.8.4 and Ant 1.9.0 in Revision 1375137 as part of a series of Java 5 updates.
> 
> It looks like this is a change which has broken some degree of compatibility
> between Ant 1.8.4 and Ant 1.9.0 but this is a one time change.
> 
> This change should have been documented in WHATSNEW and ReleaseNotes as a
> change that could break older environment.
> 
> I will revert to the dev at ant.apache.org list to see whether we should close
> this bug report as WONTFIX - my personal inclination.
> 
> -- 
> You are receiving this mail because:
> You are the assignee for the bug.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message